package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;

@Data
@Entity
@Table(name = "sales_dps_basic_salary")
public class SalesDpsBasicSalaryTable extends BaseTable {

    private Long salesId;

    private String salesNo;
    /**
     * 月基本工资
     */
    private Float basicSalary;
    /**
     * 实发基本工资
     */
    private Float netSalary;
    /**
     * 工资货币类型
     */
    private String salaryCurrency;

    private String ym;

    public static SalesDpsBasicSalaryTable getInstance() {
        SalesDpsBasicSalaryTable table = new SalesDpsBasicSalaryTable();
        table.setBasicSalary(0.0f);
        table.setNetSalary(0.0f);
        return table;
    }
}
